ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface ForpostObjectService

-     public interface ForpostObjectService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addForpostObject(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)`
    `void` | `deleteForpostAccountObjects(int accountId)`
    `void` | `deleteForpostObject(int id)`
    `void` | `doSync()`
    `void` | `doSyncForpostObjects(int accountId)`
    `ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject` | `getDefaultForpostObject()`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject>` | `searchForpostAccountObjects(int accountId)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject>>` | `searchForpostObjects(java.lang.String[] sort, Page page)`
    `void` | `updateForpostObject(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)`
    `void` | `updateForpostObjectParam(int forpostObjectId, java.lang.String name, java.lang.String value)`

- - ### Method Detail

    - #### searchForpostObjects

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostTMCAO<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject>> searchForpostObjects(java.lang.String[] sort,
                                                                                                                                                                                             Page page)
                                                                                                                                                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchForpostAccountObjects

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject> searchForpostAccountObjects(int accountId)
                                                                                                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getDefaultForpostObject

          ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject getDefaultForpostObject()
                                                                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addForpostObject

          int addForpostObject(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)
                        throws ru.bitel.bgbilling.common.BGException,
                               ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateForpostObject

          void updateForpostObject(ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostObject forpostObject)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### updateForpostObjectParam

          void updateForpostObjectParam(int forpostObjectId,
                                        java.lang.String name,
                                        java.lang.String value)
                                 throws ru.bitel.bgbilling.common.BGException,
                                        ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteForpostObject

          void deleteForpostObject(int id)
                            throws ru.bitel.bgbilling.common.BGException,
                                   ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### deleteForpostAccountObjects

          void deleteForpostAccountObjects(int accountId)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### doSync

          void doSync()
               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doSyncForpostObjects

          void doSyncForpostObjects(int accountId)
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`